org.fourthline.cling.model

## Class ServerClientTokens

- java.lang.Object
- - org.fourthline.cling.model.ServerClientTokens

-     public class ServerClientTokens
      extends Object

  The agent string of the UPnP stack in network messages, either as a server or client.

  Tries to detect the operating system name and version, defaults to `UserConstants` for product name and version.

  Author:
    Christian Bauer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `UNKNOWN_PLACEHOLDER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerClientTokens()`
    `ServerClientTokens(int majorVersion, int minorVersion)`
    `ServerClientTokens(int majorVersion, int minorVersion, String osName, String osVersion, String productName, String productVersion)`
    `ServerClientTokens(String productName, String productVersion)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getHttpToken()`
    `int` | `getMajorVersion()`
    `int` | `getMinorVersion()`
    `String` | `getOsName()`
    `String` | `getOsToken()`
    `String` | `getOsVersion()`
    `String` | `getProductName()`
    `String` | `getProductToken()`
    `String` | `getProductVersion()`
    `int` | `hashCode()`
    `void` | `setMajorVersion(int majorVersion)`
    `void` | `setMinorVersion(int minorVersion)`
    `void` | `setOsName(String osName)`
    `void` | `setOsVersion(String osVersion)`
    `void` | `setProductName(String productName)`
    `void` | `setProductVersion(String productVersion)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### UNKNOWN_PLACEHOLDER

          public static final String UNKNOWN_PLACEHOLDER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ServerClientTokens

          public ServerClientTokens()

    - #### ServerClientTokens

          public ServerClientTokens(int majorVersion,
                                    int minorVersion)

    - #### ServerClientTokens

          public ServerClientTokens(String productName,
                                    String productVersion)

    - #### ServerClientTokens

          public ServerClientTokens(int majorVersion,
                                    int minorVersion,
                                    String osName,
                                    String osVersion,
                                    String productName,
                                    String productVersion)

  - ### Method Detail

    - #### getMajorVersion

          public int getMajorVersion()

    - #### setMajorVersion

          public void setMajorVersion(int majorVersion)

    - #### getMinorVersion

          public int getMinorVersion()

    - #### setMinorVersion

          public void setMinorVersion(int minorVersion)

    - #### getOsName

          public String getOsName()

    - #### setOsName

          public void setOsName(String osName)

    - #### getOsVersion

          public String getOsVersion()

    - #### setOsVersion

          public void setOsVersion(String osVersion)

    - #### getProductName

          public String getProductName()

    - #### setProductName

          public void setProductName(String productName)

    - #### getProductVersion

          public String getProductVersion()

    - #### setProductVersion

          public void setProductVersion(String productVersion)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getHttpToken

          public String getHttpToken()

    - #### getOsToken

          public String getOsToken()

    - #### getProductToken

          public String getProductToken()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.